// Commands.cpp : Implementierungsdatei
//

#include "stdafx.h"
#include "MsgBox.h"
#include "Commands.h"

#include "MsgDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCommands

CCommands::CCommands()
{
	m_pApplication = NULL;
}

CCommands::~CCommands()
{
	ASSERT (m_pApplication != NULL);
	m_pApplication->Release();
}

void CCommands::SetApplicationObject(IApplication* pApplication)
{
	// Diese Funktion geht davon aus, dass AddRef bereits auf pApplication angewendet wurde,
	//  was CDSAddIn durch den Aufruf von QueryInterface direkt vor dem Aufruf dieser
	//  Funktion bereits erledigt hat.
	m_pApplication = pApplication;
}


/////////////////////////////////////////////////////////////////////////////
// Ccommands-Methoden

STDMETHODIMP CCommands::MsgBoxCommandMethod() 
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState());

	// ZU ERLEDIGEN: Ersetzen Sie dies durch den Code zur tatschlichen Ausfhrung des Befehls
	//  Verwenden Sie m_pApplication, um auf das Objekt "Developer Studio Application" zuzugreifen
	//  und VERIFY_OK, um Fehlermeldungen in DEBUG-Builds des Add-Ins anzusehen
	//  (siehe stdafx.h)

	VERIFY_OK(m_pApplication->EnableModeless(VARIANT_FALSE));
	CMsgDlg dlg;
	dlg.DoModal();
	VERIFY_OK(m_pApplication->EnableModeless(VARIANT_TRUE));
	return S_OK;
}
