// DSAddIn.h : Header-Datei
//

#if !defined(AFX_DSADDIN_H__F24EB6B4_8A1F_11D4_B862_000000000000__INCLUDED_)
#define AFX_DSADDIN_H__F24EB6B4_8A1F_11D4_B862_000000000000__INCLUDED_

#include "commands.h"

// {F24EB6A1-8A1F-11D4-B862-000000000000}
DEFINE_GUID(CLSID_DSAddIn,
0xf24eb6a1, 0x8a1f, 0x11d4, 0xb8, 0x62, 0, 0, 0, 0, 0, 0);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, "MsgBox.DSAddIn.1",
		"MSGBOX Developer Studio Add-in", IDS_MSGBOX_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_DSADDIN_H__F24EB6B4_8A1F_11D4_B862_000000000000__INCLUDED)
