// MsgDlg.h : Header-Datei
//

#if !defined(AFX_MSGDLG_H__AE072E55_8A20_11D4_B862_000000000000__INCLUDED_)
#define AFX_MSGDLG_H__AE072E55_8A20_11D4_B862_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMsgDlg Dialogfeld
#include <afxpriv.h>

enum BoxType
{
	btGeneric=0,
	btCWnd,
	btAfx
};

enum BoxSymbol
{
	bsInformation=0,
	bsQuestion,
	bsExclamation,
	bsHand
};

enum BoxButtons
{
	bbAbortRetryIgnore=0,
	bbOk,
	bbOkCancel,
	bbRetryCancel,
	bbYesNo,
	bbYesNoCancel
};

enum BoxDefbutton
{
	bd1=0,
	bd2,
	bd3
};

enum BoxCondition
{
	bcNo=0,
	bcIf,
	bcIfThenElse
};

enum BoxEquals
{
	beEqual=0,
	beInEqual
};

enum BoxReturns
{
	brOk=0,
	brCancel,
	brYes,
	brNo,
	brAbort,
	brIgnore,
	brRetry
};


class CMsgDlg : public CDialog
{
// Konstruktion
public:
	CMsgDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

// Dialogfelddaten
	//{{AFX_DATA(CMsgDlg)
	enum { IDD = IDD_MSGBOX };
	CButton	m_btnHand;
	CButton	m_btnQuestion;
	CButton	m_btnExclamation;
	CButton	m_btnInformation;
	int		m_iSymbol;
	int		m_iType;
	CString	m_csCaption;
	int		m_iDefbutton;
	int		m_iEqual;
	int		m_iButtons;
	int		m_iModal;
	int		m_iCondition;
	CString	m_csMsg;
	int		m_iReturn;
	BOOL	m_bCaptionVar;
	BOOL	m_bMsgVar;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CMsgDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	void SetReturn(int& iReturn, CString& csReturn);
	void ManageReturns(void);
	void SetDefButton(UINT& uiStyle, CString& csCode);
	void SetButtons(UINT& uiStyle, CString& csCode);
	void SetSymbol(UINT& uiStyle, CString& csCode);
	void CreateCode(CString& csResult);

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CMsgDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnTest();
	afx_msg void OnView();
	virtual void OnOK();
	//}}AFX_MSG
	afx_msg LRESULT OnKickIdle(WPARAM , LPARAM );
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_MSGDLG_H__AE072E55_8A20_11D4_B862_000000000000__INCLUDED_)
